Fly.io
Postgres Clusters

List Extensions

View as Markdown

List all extensions available within a specific database, indicating which are installed.

GET
/v1/postgres/{postgres_cluster_id}/databases/{database_name}/extensions

List all extensions available within a specific database, indicating which are installed.

Authorization

bearerAuth
AuthorizationBearer <token>

A Fly.io access token. Create one with fly tokens create.

In: header

Path Parameters

postgres_cluster_id*string

Managed Postgres Cluster ID

database_name*string

Database Name

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/postgres/string/databases/string/extensions"
{  "data": [    {      "default_version": "string",      "description": "string",      "installed": {        "schema": "public",        "version": "1.0"      },      "name": "citext",      "system": true    }  ]}
{  "error": "string"}
{  "error": "string"}